Name        	: nfs-server
Version     	: 2.2beta44
Release     	: 3
Group       	: Server/Network

Summary     	: NFS server daemons and client programs

Copyright   	: Mostly GPL
Packager    	: Olaf Kirch <okir@caldera.de>


BuildRoot   	: /tmp/%{Name}-%{Version}

Source0 : ftp://linux.mathematik.th-darmstadt.de/pub/linux/people/okir/nfs-server-%{Version}.tar.gz
Source1 : nfs-server-%{Version}-EBX.init
Patch0  : nfs-server-%{Version}-sigpwr.patch
Patch1  : nfs-server-%{Version}-segv.patch
	


%Description
The NFS server daemons are needed when you wish to export directories
on your machine to other hosts via the NFS protocol.
This package also contains the showmount program that can be used to query
an NFS server for the list of exported file systems.


#%Prep
#%setup
#%patch0 -p1
#%patch1 -p1


#%Build
#./BUILD --batch \
#	--multi=yes \
#	--devtab=no \
#	--ugidd=no \
#	--nis=no \
#	--rquotad=no \
#	--exports-uid=0 \
#	--exports-gid=0 \
#	--hosts-access=yes \
#	--log-mounts=yes

#make CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s


#%Install
#%{mkDESTDIR}

#make install_prefix=$DESTDIR install

#mkdir -p $DESTDIR/etc/{rc.d/init.d,sysconfig/daemons}

## init script
#cp -p %{SOURCE1} $DESTDIR/etc/rc.d/init.d/S40nfs

## daemon startup control
#cat <<-EoD > $DESTDIR/etc/sysconfig/daemons/nfs
#	IDENT=nfs
#	DESCRIPTIVE="NFS server"
#	ONBOOT="yes"
#	NFSD_PROCS="4"
#	NFSD_OPTIONS=""
#	MOUNTD_OPTIONS=""
#EoD

#%{fixManPages}


%Clean
%{rmDESTDIR}


#%Post
##lisa --SysV-init install nfs      	S40 3:4:5	K60 0:1:2:6


#%PostUn
##lisa --SysV-init remove nfs       	$1


#%Files
#%doc NEWS README
#%config /etc/rc.d/init.d/S40nfs
##%config /etc/sysconfig/daemons/nfs
#/usr/sbin/rpc.mountd
#/usr/sbin/rpc.nfsd
#/usr/man/man5/exports.5*
#/usr/man/man8/mountd.8*
#/usr/man/man8/nfsd.8*
#/usr/man/man8/rpc*.8*

#/usr/sbin/showmount
#/usr/man/man8/showmount.8*


%ChangeLog
* Mon Jan 01 1997 ...
Template Version: 1.13

$Id: nfs-server.spec,v 1.1 2000/03/23 11:02:22 beppu Exp $
